import java.io.*;
import static java.lang.System.*;
import java.util.*;

import strsets.*;

public final class Test2 {
    private Test2() {};

    public static void main(String[] args) throws FileNotFoundException {
        String textFile = args[0], wordFile = args[1];
        ModifiableStrSet textSet = new ArrayStrSet();
        Scanner textScan = new Scanner(new File(textFile));
        textScan.useDelimiter("[^\\p{Alpha}]+");
        int count = 0;
        while (textScan.hasNext()) {           // aggiungi le parole del file di testo
            textSet.add(textScan.next());      // all'insieme
            count++;
        }
        out.println("Numero parole: "+count+" di cui distinte: "+textSet.size());
        Scanner wordScan = new Scanner(new File(wordFile));
        while (wordScan.hasNext())              // rimuovi tutte le parole dell'elenco
            textSet.remove(wordScan.next());    // dall'insieme
        out.println("Numero parole non appartenenti al dizionario: "+textSet.size());
    }
}